MooseX::Getopt::Usage::Formatter(3)

NAME
MooseX::Getopt::Usage::Formatter -

SYNOPSIS
 my $fmtr = MooseX::Getopt::Usage::Formatter->new(
    getopt_class => 'Some::Getopt::Class'
 );
 $fmtr->usage;
 $fmtr->man;

DESCRIPTION
Internal module to do the heavy lifting of usage message and man page generation for MooseX::Getopt::Usage. See it's documentation for usage and attribute descriptions.

ATTRIBUTES

  getopt_class

  colours

  headings

  format

  attr_sort

  use_color

  unexpand

  tabstop

FUNCTIONS

  podselect_text

METHODS

  usage

  manpage

  prog_name
The name of the program, grabbed at BEGIN time before someone decides to change it.

SEE ALSO
MooseX::Getopt::Usage, Moose, perl.

BUGS
All complex software has bugs lurking in it, and this module is no exception. See "BUGS" in MooseX::Getopt::Usage for details of how to report bugs.

ACKNOWLEDGEMENTS
Thanks to Hans Dieter Pearcey for prog name grabbing. See Getopt::Long::Descriptive.

AUTHOR
Mark Pitchless, "<markpitchless at gmail.com>"

COPYRIGHT
Copyright 2012 Mark Pitchless

LICENSE
This program is free software; you can redistribute it and/or modify it under the terms of either: the GNU General Public License as published by the Free Software Foundation; or the Artistic License.

See http://dev.perl.org/licenses/ for more information.